import { useEffect, useState } from 'react';

export const useListenLang = () => {
  const [lang, setLang] = useState('zh-CN');
  useEffect(() => {
    const lang = localStorage.getItem('excalidrawLang');
    if (lang) {
      setLang(lang);
    }
    // 监听 localStorage中excalidrawLang的变化
    const onStorage = (e: StorageEvent) => {
      if (e.key === 'excalidrawLang') {
        e.newValue && setLang(e.newValue);
      }
    };
    window.addEventListener('storage', onStorage);
    return () => {
      window.removeEventListener('storage', onStorage);
    };
  }, []);
  return {
    lang,
    setLang: (lang: string) => {
      // setLang(lang);
      localStorage.setItem('excalidrawLang', lang);
    },
    isZh: lang === 'zh-CN',
  };
};
